first-search-eval.cc File Reference

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Typedefs | Functions
first-search-eval.cc File Reference
`#include "osl/container/moveVector.h"`
`#include "osl/misc/math.h"`
`#include "osl/record/csaRecord.h"`
`#include "osl/record/checkDuplicate.h"`
`#include "osl/record/record.h"`
`#include "osl/record/searchInfo.h"`
`#include <boost/algorithm/string/trim.hpp>`
`#include <boost/foreach.hpp>`
`#include <boost/program_options.hpp>`
`#include <fstream>`
`#include <iostream>`
`#include <string>`
`#include <vector>`
Include dependency graph for first-search-eval.cc:

Go to the source code of this file.

## Typedefs
typedef std::vector< int > | value_t
typedef std::pair< value_t, value_t > | pair_t
typedef std::map< std::string, pair_t > | map_t

## Functions
void | logValue (const std::string &player, const std::string &turn, const int value, const std::string &csa_file)
void | readFile (const std::string &csa_file, map_t &map)
| Return true when reading a csa_file for the fist time; false otherwise. More...
void | showResult (const map_t &map)
int | main (int argc, char **argv)

## Typedef Documentation

typedef std::map<std::string, pair_t> map_t

Definition at line 17 of file first-search-eval.cc.

typedef std::pair<value_t, value_t> pair_t

Definition at line 16 of file first-search-eval.cc.

typedef std::vector<int> value_t

Definition at line 15 of file first-search-eval.cc.

## Function Documentation

void logValue | ( | const std::string & | player,
|  | const std::string & | turn,
|  | const int | value,
|  | const std::string & | csa_file
| ) |  |

Definition at line 19 of file first-search-eval.cc.

References out.

Referenced by readFile().

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 88 of file first-search-eval.cc.

References files, readFile(), run(), showResult(), store(), and vm.

void readFile | ( | const std::string & | csa_file,
|  | map_t & | map
| ) |  |

Return true when reading a csa_file for the fist time; false otherwise.

Definition at line 33 of file first-search-eval.cc.

References osl::BLACK, osl::record::Record::getPlayer(), osl::record::csa::CsaFile::getRecord(), osl::record::MoveRecord::info, osl::record::SearchInfo::isValid(), logValue(), osl::record::Record::moveOf(), osl::record::Record::moveRecordSize(), osl::record::SearchInfo::value, and osl::WHITE.

void showResult | ( | const map_t & | map) |  |

Definition at line 68 of file first-search-eval.cc.

References osl::misc::computeStats().

Referenced by main().